> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Document Versions

> List all versions for a document.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/documents/{document_id}/versions
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/documents/{document_id}/versions:
    get:
      tags:
        - Documents
      summary: List Document Versions
      description: List all versions for a document.
      operationId: core_api_v1_controllers_documents_list_document_versions
      parameters:
        - in: path
          name: document_id
          schema:
            title: Document Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VersionListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    VersionListOut:
      description: List of document versions.
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/VersionOut'
          title: Data
          type: array
        has_more:
          default: false
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - total
      title: VersionListOut
      type: object
    VersionOut:
      description: Schema for a document version.
      properties:
        object:
          default: version
          title: Object
          type: string
        id:
          title: Id
          type: string
        version_number:
          title: Version Number
          type: integer
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        change_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Change Summary
      required:
        - id
        - version_number
      title: VersionOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````